Avaya Client Services API Reference (iOS)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSMessagingSearchConversation Class Reference

`#import <CSMessagingSearchConversation.h>`

Inherits CSMessagingConversation.

## Instance Methods
(void) | - retrieveSearchMessagesWithWatcher:
| Get all messages matching search request in conversation. More...
Instance Methods inherited from CSMessagingConversation
(BOOL) | - isParticipantActive:
| Returns YES if a specified participant is active in this conversation. More...
(CSMessage *) | - createMessage
| Creates a new message in this conversation. More...
(void) | - removeMessage:completionHandler:
| Removes a CSMessage (only draft messages can be removed). More...
(void) | - startWithCompletionHandler:
| Invokes a start request for this conversation. More...
(void) | - addParticipantWithContact:completionHandler:
| Invokes an add participant request for this conversation for provided contact object. More...
(void) | - addParticipantAddresses:completionHandler:
| Invokes an add participant request for this conversation for each of the provided addresses. More...
(void) | - removeParticipantAddresses:completionHandler:
| Invokes a remove participant request for this conversation for each of the provided addresses. More...
(void) | - removeParticipant:completionHandler:
| Invokes a remove participant request for this conversation. More...
(void) | - addParticipants:completionHandler:
| Adds participants. More...
(void) | - retrieveMessagesWithWatcher:
| Starts the retrieval of messages associated with this conversation. More...
(void) | - retrieveMessagesAfterMessage:maxCount:
| Retrieves a list of the conversation messages after the specified message. More...
(void) | - retrieveMessagesBeforeMessage:maxCount:
| Retrieves a list of the conversation messages before the specified message. More...
(void) | - updateLastAccessTimeWithCompletionHandler:
| Invokes a set last access time request for this conversation. More...
(void) | - setSubject:completionHandler:
| Sets the subject for this conversation. More...
(void) | - setSensitivity:completionHandler:
| Set conversation sensitivity level. More...
(void) | - setType:completionHandler:
| Sets the conversation type. More...
(void) | - leaveWithCompletionHandler:
| Invokes a leave request for this conversation. More...
(void) | - clearLocalAttachmentDataWithCompletionHandler:
| Clear conversation local attachment data. More...
(void) | - markAllContentAsReadWithCompletionHandler:
| Marks all content in this conversation as read. More...

## Properties
CSMessagingConversation * | baseConversation
| Returns reference to the conversation object corresponding to this search conversation. More...
Properties inherited from CSMessagingConversation
id< CSMessagingConversationDelegate > | delegate
| The delegate responsible for handling conversation events. More...
id< CSMessagingComposingParticipantsWatcherDelegate > | composingParticipantsWatcherDelegate
| The delegate responsible for handling messages signalling a change in the list of composing participants. More...
NSString * | conversationId
| The unique conversation identifier. More...
NSString * | providerConversationId
| This is the conversation ID from the underlying provider (e.g., the AMM server) as-is. More...
CSMessagingSensitivityLevel | sensitivity
| The sensitivity of the conversation. More...
BOOL | active
| A Boolean value indicating whether the conversation is active. More...
BOOL | closed
| A Boolean value indicating whether the conversation is closed. More...
BOOL | multiParty
| The multi-party status of the conversation. More...
BOOL | privateConversation
| The conversation is private when the sensitivity of the conversation is set to CSMessagingSensitivityLevelPrivate. More...
BOOL | hasUnreadMessagesSinceLastAccess
| A Boolean value indicating whether the conversation has unread messages since the time the conversation was last accessed. More...
BOOL | hasUnreadMessages
| A Boolean value indicating whether the conversation has any unread messages. More...
BOOL | hasUnreadAttachments
| A Boolean value indicating whether the conversation has any unread attachments. More...
BOOL | hasAttachments
| A Boolean value indicating whether the conversation has any attachments on any of its messages. More...
NSDate * | lastAccessDate
| The date the conversation was last accessed. More...
NSDate * | lastUpdatedDate
| The date the conversation was last updated. More...
NSDate * | latestEntryDate
| The last entry timestamp of the conversation. More...
NSArray * | composingParticipants
| An array of composing participants contained in this conversation. More...
NSArray * | allParticipants
| A list of participants contained in this conversation. More...
NSArray * | activeParticipants
| A list of active participants contained in this conversation. More...
CSMessagingConversationType | type
| The conversation type. More...
NSString * | previewText
| The preview text of the conversation. More...
NSUInteger | totalMessageCount
| The total number of messages in the conversation. More...
NSUInteger | attachmentCount
| The total number of attachments in all messages of the conversation. More...
NSUInteger | unreadAttachmentCount
| The total number of unread attachments in all messages of the conversation. More...
NSUInteger | unreadMessageCount
| The number of unread messages in the conversation. More...
NSString * | subject
| The subject of the conversation if one is provided by the server. More...
CSMessagingParticipant * | lastUpdatedByParticipant
| The last CSMessagingParticipant that updated this conversation. More...
CSMessagingConversationStatus | status
| The server reconciled status of the conversation. More...
CSCapability * | updateSubjectCapability
| A CSCapability object that indicates if the subject property of the conversation can be updated. More...
CSCapability * | updateLastAccessedTimeCapability
| A CSCapability object that indicates if the type of the conversation can be updated. More...
CSCapability * | updateSensitivityCapability
| A CSCapability object that indicates if the sensitivity of the conversation can be updated. More...
CSCapability * | updateTypeCapability
| A CSCapability object that indicates if the type of the conversation can be updated. More...
CSCapability * | olderContentCapability
| A CSCapability object that indicates whether the user can "scroll to get more messages", i.e. More...
CSCapability * | addParticipantsCapability
| A CSCapability object that indicates if new participants can be added to the conversation. More...
CSCapability * | removeParticipantsCapability
| A CSCapability object that indicates if participants can be removed from the conversation. More...
CSCapability * | removeParticipantCapability
| A CSCapability object that indicates if a participant can be removed from the conversation. More...
CSCapability * | createMessageCapability
| A CSCapability object that indicates if a new message can be created in the conversation. More...
CSCapability * | markAllContentAsReadCapability
| A CSCapability object that indicates if all messages in the conversation can be marked as read. More...
CSCapability * | leaveCapability
| A CSCapability object that indicates if the conversation can be left. More...
CSCapability * | startCapability
| A CSCapability object that indicates if the conversation can be started. More...
CSCapability * | removeCapability
| A CSCapability object that indicates if the conversation can be removed. More...
CSCapability * | isTypingCapability
| A CSCapability object that indicates if typing status reporting is avaliable. More...
CSCapability * | messageReadStateCapability
| Returns a capability indicating whether this conversation is capable of reporting read state updates for sent messages. More...
CSCapability * | messageDeliveryStateCapability
| Returns a capability indicating whether this conversation is capable of reporting delivery state updates for sent messages. More...
CSMessagingProviderType | providerType
| A CSMessagingProviderType object that contains information about source of the conversation. More...

## Method Documentation

- (void) retrieveSearchMessagesWithWatcher: |  | (CSDataRetrievalWatcher *) | watcher |

Get all messages matching search request in conversation.

Parameters

  watcher | A CSDataRetrievalWatcher object, created by the application, to track the progress of the message retrieval. Prior to calling this method, the application should have installed a CSDataRetrievalWatcherDelegate on the watcher object to receive notifications on the progress of the retrieval of the message collection and subsequent updates to this collection. A value of nil will remove any currently installed watcher object, stopping all notifications from being sent to the previous watcher object. The data items returned to the application via the watcher object will be of type CSMessage.

## Property Documentation

- (CSMessagingConversation*) baseConversation
| read nonatomic assign

Returns reference to the conversation object corresponding to this search conversation.

If the underlying conversation is active and exists on the conversations list returned reference will point to the same object that exists on the conversations list.

The documentation for this class was generated from the following file:

- CSMessagingSearchConversation.h